> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get processing status

> Retrieves the status of the latest processing result



## OpenAPI

````yaml /api-specs/6.3/workspace-file-audit-trail-api.json get /process/latest
openapi: 3.0.3
info:
  description: Service to ingest and process workspace file audit events.
  title: Workspace File Audit Event Processor Service API
  contact:
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
    email: support@dominodatalab.com
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech/api/workspace-audit
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /process/latest:
    get:
      tags:
        - events
      summary: Get processing status
      description: Retrieves the status of the latest processing result
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/domain.ProcessingResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/domain.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/domain.HTTPError'
components:
  schemas:
    domain.ProcessingResult:
      type: object
      properties:
        addedEvents:
          type: integer
          example: 50000
        completedAt:
          type: string
          example: '2023-04-27T19:11:17Z'
        createdAt:
          type: string
          example: '2023-04-27T19:11:17Z'
        deduplicatedEvents:
          type: integer
          example: 50000
        existingEvents:
          type: integer
          example: 50000
        failedEvents:
          type: integer
          example: 1
        firstEventTimestamp:
          type: string
          example: '2023-04-27T19:11:17Z'
        id:
          type: string
          example: a33ef748-41fb-42aa-aed0-bcc87da3ff0e
        lastEventTimestamp:
          type: string
          example: '2023-04-27T19:11:17Z'
        newEvents:
          type: integer
          example: 100000
        startedAt:
          type: string
          example: '2023-04-27T19:11:17Z'
        status:
          allOf:
            - $ref: '#/components/schemas/domain.ProcessingResultStatus'
          example: InProgress
        successfulProcessedEvents:
          type: integer
          example: 99999
        updatedAt:
          type: string
          example: '2023-04-27T19:11:17Z'
    domain.HTTPError:
      type: object
      properties:
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Bad Request
    domain.ProcessingResultStatus:
      type: string
      enum:
        - InProgress
        - Completed
        - Failed
      x-enum-varnames:
        - StatusInProgress
        - StatusCompleted
        - StatusFailed

````

## Related topics

- [Get processing status](/6.3/api-reference/events/get-processing-status-1.md)
- [Get download task status](/6.3/api-reference/downloads/get-download-task-status.md)
- [Get the activation status of the cost feature](/6.3/api-reference/cost/get-the-activation-status-of-the-cost-feature.md)
- [The python-domino library](/6.3/reference/python-sdk/python-domino.md)
